### Enumeration

# Foundry DiagnosticSeverity

#### Declaration

    enum Foundry.DiagnosticSeverity

#### Description

No description available.

#### Members

`FOUNDRY_DIAGNOSTIC_IGNORED`

  No description available.

  - Value: `0`
  - Available since: 1
`FOUNDRY_DIAGNOSTIC_NOTE`

  No description available.

  - Value: `1`
  - Available since: 1
`FOUNDRY_DIAGNOSTIC_UNUSED`

  No description available.

  - Value: `2`
  - Available since: 1
`FOUNDRY_DIAGNOSTIC_DEPRECATED`

  No description available.

  - Value: `3`
  - Available since: 1
`FOUNDRY_DIAGNOSTIC_WARNING`

  No description available.

  - Value: `4`
  - Available since: 1
`FOUNDRY_DIAGNOSTIC_ERROR`

  No description available.

  - Value: `5`
  - Available since: 1
`FOUNDRY_DIAGNOSTIC_FATAL`

  No description available.

  - Value: `6`
  - Available since: 1